import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {RouterModule} from "@angular/router";
import {IndicatorThemesComponent} from "./indicator-themes.component";
import {PreviousRouteRecorder} from "../../utils/piwik/previousRouteRecorder.guard";

@NgModule({
  imports: [CommonModule, RouterModule.forChild([
    {
      path: '',
      component: IndicatorThemesComponent,
      canDeactivate: [PreviousRouteRecorder]
    },
  ])],
  declarations: [IndicatorThemesComponent],
  exports: [IndicatorThemesComponent]
})
export class IndicatorThemesModule {}
