import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {RouterModule} from "@angular/router";
import {IndicatorsComponent} from "./indicators.component";
import {PreviousRouteRecorder} from "../../utils/piwik/previousRouteRecorder.guard";
import {HelperModule} from "../../utils/helper/helper.module";

@NgModule({
  imports: [CommonModule, RouterModule.forChild([
    {
      path: '',
      component: IndicatorsComponent,
      canDeactivate: [PreviousRouteRecorder]
    },
  ]), HelperModule],
  declarations: [IndicatorsComponent],
  exports: [IndicatorsComponent]
})
export class IndicatorsModule {}
